package com.kingdee.eas.custom.expandassess.app.task;

import com.kingdee.bos.framework.ejb.EJBRemoteException;
import com.kingdee.bos.util.BOSObjectType;
import java.rmi.RemoteException;
import com.kingdee.bos.framework.AbstractBizCtrl;
import com.kingdee.bos.orm.template.ORMObject;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.util.*;
import com.kingdee.eas.common.EASBizException;
import java.lang.String;
import com.kingdee.eas.custom.expandassess.app.task.*;
import com.kingdee.bos.Context;
import com.kingdee.bos.framework.*;

public class ExpandassessFacade extends AbstractBizCtrl implements IExpandassessFacade
{
    public ExpandassessFacade()
    {
        super();
        registerInterface(IExpandassessFacade.class, this);
    }
    public ExpandassessFacade(Context ctx)
    {
        super(ctx);
        registerInterface(IExpandassessFacade.class, this);
    }
    public BOSObjectType getType()
    {
        return new BOSObjectType("4F5A179C");
    }
    private ExpandassessFacadeController getController() throws BOSException
    {
        return (ExpandassessFacadeController)getBizController();
    }
    /**
     *提分负责人-User defined method
     *@param periodId 考核周期ID
     *@return
     */
    public String warnPrincipal(String periodId) throws BOSException, EASBizException
    {
        try {
            return getController().warnPrincipal(getContext(), periodId);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
}